PERL-CROSS-DEBIAN(1)

NAME
perl-cross-debian - Long term maintenance of cross-build support for the Debian configuration of perl

SYNOPSIS

perl-cross-debian [--rootdir=DIRECTORY] --variant=STRING

perl-cross-debian [{-h | --help} | {-v | --version}]

DESCRIPTION

perl-cross-debian supports the long term maintenance of cross-build support for the Debian configuration of perl.

perl-cross-debian copies pre-produced config files into the current perl build tree to prevent the build from needing to execute test binaries during the configuration stage by providing the values of the tests in advance. perl-cross-debian then extracts values from the cached files to update the build information and package Makefiles.

COMMAND

--variant VARIANT
    Name of the current perl build variant (static, debug or shared), passed in via debian/rules, must be specified once for each iteration.

OPTIONS

--rootdir DIRECTORY
    Debug support for testing with unreleased config files, uses the files from the rootdir instead of looking in the /usr/share/perl-cross-debian/$(DEB_HOST_GNU_TYPE)/$(PERL_VERSION) directory. ($(PERL_VERSION) in this instance is the output of /bin/bash debian/config.debian --full-version.)

-?, -h, --help, --version
    Show summary of options and the version information.

EXTENDING PERL-CROSS-DEBIAN

perl-cross-debian provides some POD documentation of how to extend support to new architectures and how to update existing support for new versions of perl.

See /usr/share/doc/perl-cross-debian/converting-native.pod and /usr/share/doc/perl-cross-debian/new-arch.pod

AUTHOR

Neil Williams <codehelp@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2012 Neil Williams

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.